<?php

	class UserController extends Controller {

		/**
		 * Setup the layout used by the controller.
		 *
		 * @return void
		 */
	
	
	

	public function getlogin()
	{
	    // show the form
	  return View::make('backoffice/login');
	   // return View::make('loginnew');
	}

	public function postlogin()
	{   
	 
	    $userdata = array(
	        'username'     => Input::get('username'),
	        'password'     => Input::get('password')
	    );     
	 
	    $rules = array(
	      'username'    => 'required', // make sure the email is an actual email
	      'password' => 'required' // password can only be alphanumeric and has to be greater than 3 characters
	    );
	    // run the validation rules on the inputs from the form
	  	$validator = Validator::make(Input::all(), $rules);

    	if ($validator->fails()) {
    
    		Session::flash('msg_danger','Please enter Username and Password');
    	    return Redirect::to('backoffice/login')->withInput();
    	} 
    	else
    	{
    	  	
    	  	$username      =   Input::get('username');
    	    $password   =   Input::get('password');
    	    
    	     
    	    $user = User::where('username',$username)->where('password',$password)->first();
    	  
    	    if(isset($user))
	        {   
        	    Auth::login($user);
			
	            return Redirect::to('/backoffice');
	        }
	        else
	        return Redirect::to('/backoffice/login')->with('msg_danger', 'Invalid username or password');
	             

	    }
	}
	

   	public function logout()
    {
    	 Auth::logout();
    	 return Redirect::to('backoffice/login');
    }
}
