@extends('layout')

@section('content')
 <!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-Y6H888QVV9"></script>
<script>
 window.dataLayer = window.dataLayer || [];
 function gtag(){dataLayer.push(arguments);}
 gtag('js', new Date());

 gtag('config', 'G-Y6H888QVV9');
</script>

<div class="col-md-6 col-sm-12 offset-md-3">
    <h4 class="mb-3"> <b>Please enter your details</b></h4>
    <form id="reg" name="register" action="{{ url('register/') }}" method="post">

<input type="hidden" name="is_next" id="is_next" value="1">

 <div class="form-row">
      <div class="form-group col-md-6">
    <label for="inputFullName">Patient Name <span class="red">*</span> </label>
    <input type="text" class="form-control" id="inputFullName" name="patient_name" placeholder="Patient Name" 
    value="{{ Input::old('patient_name') }}">
      <label class="red"> {{ $errors->first('patient_name') }}</label>
  </div>
   <div class="form-group col-md-6">
    <label for="inputEmail">Email</label>
    <input type="email" class="form-control" id="inputEmail" name="email" placeholder="Email Address" 
    value="{{ Input::old('email') }}" >
     <label class="red"> {{ $errors->first('email') }}</label>
  </div>
</div>
 <div class="form-row">
     <div class="form-group col-md-6">
    <label for="inputMobile">Mobile <span class="red">*</span> </label>
    <input type="text" class="form-control" id="inputMobile" name="mobile" placeholder="mobile number"
    value="{{ Input::old('mobile') }}"><br>
     <label class="red"> {{ $errors->first('mobile') }}</label>
  </div>


 <!--   <div class="form-group col-md-6">
     <label for="inputMobile">Date of Birth</label>
        <div class='input-group date' id='dobDateTimePicker'>
                {{ Form::text('dob','', array('id' => 'dob', 'class' => 'form-control req dt', 'maxlength' => '10','placeholder' => 'DD/MM/YYYY'))}} 
                 <label class="red"> {{ $errors->first('dob') }}</label>   
        </div>
  </div> -->
</div>
 <div class="form-row">
 <div class="form-group col-md-6">   
                <div class="form-group">                           
                  <label>Gender : </label>     
                  {{ Form::select('gender',[''=>'--select--','Male'=>'Male','Female'=>'Female'],Input::old('gender'),array("id"=>"gender","class"=>"form-control gender"))}} 
                  <label class="red"> {{ $errors->first('gender') }}</label>
                </div>                
            </div>
   <div class="form-group col-md-6">
     <label for="inputMobile">Hospitals Name <span class="red">*</span> </label>
        <div class='input-group date' id='dobDateTimePicker'>
                {{ Form::select('hospital_id', array(''=> '--Select--')+$hospitals , Input::old('hospital_id') , ["class"=>"form-control col"]) }}
                 <label class="red"> {{ $errors->first('hospital_id') }}</label>
        </div>
   
    
  </div>
</div>
<div class="row">
     <div class="form-group col-md-6">   
 <div class="form-group">      
  <label for="example-date-input">Appointment Date Time <span class="red">*</span> </label>
    <input name="appointment_at" class="form-control" type="text" id="example-date-input"
    placeholder="YYYY-M-D H:M:S"
    value="{{ Input::old('appointment_at') }}">
      <label class="red"> {{ $errors->first('appointment_date') }}</label>

  </div>
</div>

<!-- <div class="form-group col-md-6">   
 <div class="form-group"> 
  <label for="example-time-input">Appointment Time <span class="red">*</span> </label>
    <input name="appointment_time" class="form-control" type="time" value="" id="example-time-input">
     <label class="red"> {{ $errors->first('appointment_time') }}</label>
  </div>
</div>  -->
</div> 

 {{-- <div class="form-row">
    <div class="form-group col-md-6">
      <label for="inputCity">City</label>
      <input type="text" class="form-control" id="inputCity" name="city" placeholder="City">
      <label class="red"> {{ $errors->first('city') }}</label>
    </div>
    <div class="form-group col-md-6">
      <label for="inputState">State</label>
      <input type="text" class="form-control" id="inputState" name="state" placeholder="State">
      <label class="red"> {{ $errors->first('state') }}</label>
    </div>
  </div> --}}
  <!--<div class="row">-->
  <!--  <div class="col-md-6 mt-3">-->
  <!--  <button type="submit" id="btnPrevious" class="btn btn-primary float-left">PREVIOUS</button>-->
  <!--  </div>-->
  <!--  <div class="col-md-6 mt-3">-->
  <!--  <button type="submit" id="btnNext" class="btn btn-primary float-right">NEXT</button>-->
  <!--  </div>-->
  <!--</div>-->
  <div class="row">
   <div class="col-md-12 col-sm-12 mt-3">
   <button type="submit" id="btnPrevious" class="btn btn-info float-left">PREVIOUS</button>
     
   <button type="submit" id="btnNext" class="btn btn-info float-right">NEXT</button>
   </div>
 </div>
</form>
</div>

<script type="text/javascript">

  $( document ).ready(function() {
    $("#btnPrevious").click(function(e)
    {
      $("#is_next").val(0)
      // $("form[name='register']").attr('action',$(this).attr('data-url'))
      // $("form[name='register']").submit();

    })
     $("#btnNext").click(function(e)
    {
      $("#is_next").val(1)
      // $("form[name='register']").attr('action',$(this).attr('data-url'))
      // $("form[name='register']").submit();
    })
$("form[name='register']").validate({
    // Specify validation rules
    rules: {
      // The key name on the left side is the name attribute
      // of an input field. Validation rules are defined
      // on the right side
      
      patient_name: 
      {
        required: true      
      },
      mobile: 
      {
        required: true, 
        minlength: 10        
      },
      hospital_id: 
      {
        required: true      
      },
      appointment_at: 
      {
        required: true       
      },
    //   appointment_end_at: 
    //   {
    //     required: true       
    //   },
    },
    // Specify validation error messages
    messages: {
              patient_name :
              {
                required:  "Please enter the Patient Name.",
              },
              mobile :
              {
                required:  "Your mobile number must be 10 numbers.",
              },
              hospital_id :
              {
                required:  "Please select the hospital name.",
              },
              appointment_at :
              {
                required:  "Please give your appointment date time.",
              },
            //   appointment_end_at :
            //   {
            //     required:  "Please give your appointment date.",
            //   }
    },
    // Make sure the form is submitted to the destination defined
    // in the "action" attribute of the form when valid
    submitHandler: function(form) {
      form.submit();
    }
  });

  });
</script>
@stop