<?php

class ApointmentController extends BaseController {


	/*
	|--------------------------------------------------------------------------
	| Default Home Controller
	|--------------------------------------------------------------------------
	|
	| You may wish to use controllers instead of, or in addition to, Closure
	| based routes. That's great! Here is an example controller method to
	| get you started. To route to this controller, just add the route:
	|
	|	Route::get('/', 'HomeController@showWelcome');
	|
	*/
public function getRegister($id = null)
	{   
	        $hospitals = DB::table('hospitals')->lists('hospital_name','hospital_id');
	        								   
    	    $doctors = DB::table('doctors')->lists('doctor_name','doctor_id');
		   
		return View::make('appointment.form')->with('hospitals',$hospitals)
											 ->with('doctors',$doctors);		
	}
public function postRegister($id = null)
	{   
		// validate the info, create rules for the inputs
			$rules = array(
			'patient_name'         => 'required',
// 			'mobile'       => 'required|alphaNum|max:10|unique:appointments,mobile',
// 			'email'        => 'required|email|unique:appointments,email',
// 			// 'city'         => 'required',   
			// 'state' 	   => 'required',
			'gender'   => 'required',
			// 'dob'          => 'required|date_format:d/m/Y',
			'appointment_at'  =>'required',
			// 'appointment_end_at'  =>'required',
			'hospital_id'   	=> 'required', 
// 			'doctor_id'   	=> 'required',
			);

			// run the validation rules on the inputs from the form
			$validator = Validator::make(Input::all(), $rules);
			// var_dump($validator);
			// exit();
			// if the validator fails, redirect back to the form
	 	if (!$validator->fails())
	    {
		  	if(intval($id)>0)
		{
			$appointment = Appointments::find($id);
		}
		else
		{
			$appointment = new Appointments();
		}
		  		$appointment->patient_name      = Input::get('patient_name');
				$appointment->mobile            = Input::get('mobile');
				$appointment->email             = Input::get('email');
				$appointment->gender            = Input::get('gender');
				$appointment->dob               = Input::get('dob');
				$appointment->hospital_id  	    = Input::get('hospital_id');
				$appointment->mrd_no            = Input::get('mrd_no');  
				$appointment->section           = Input::get('section');
				$appointment->ailment           = Input::get('ailment');
				$appointment_at                 = Input::get('appointment_at');
		  		$appointment->appointment_at    = $appointment_at;
		  			

		  		
				// $appointment->appointment_at   = Input::get('appointment_date');
		  		// $appointment->appointment_end_at   = Input::get('appointment_end_at');
		  		$appointment->appointment_duration_minutes = 30;
		  		$timestamp = strtotime(date('Y-m-d H:i:s'));
            		  		
            	$appointment->room_key = $timestamp.Helper::randomPassword();
		  		// var_dump($appointment->appointment_end_at);
		  		// exit();
		  //		$appointment->doctor_id	=Input::get('doctor_id');
		  	
				
				$appointment->save();
		  	// var_dump($custom->landmark);
		  	// exit();
		  	// $custom->save();
			Session::flash('msg_success', 'Register Successfully');
		  	return Redirect::to('register/');
		}
		else
		{
		  	return Redirect::to('register/'.$id)->withInput()->withErrors($validator->errors());
		}
	}
	
	
	public function getIndex($hospital_id,$key)
	{
	   try
	   {
	        // show the form
	        $appointments =   DB::table('appointments')
           				 ->join('hospitals', 'hospitals.hospital_id', '=', 'hospitals.hospital_id')
           				 ->select('hospitals.hospital_name', 'appointments.patient_name','appointments.mobile','appointments.email','appointments.gender','appointments.appointment_at','appointments.appointment_end_at')
           				 ->where('hospitals.hospital_id',$hospital_id)
           				 ->where('hospitals.key',$key)
            			 // ->where('appointments.appointment_end_at','>', date('Y-m-d H:i:s'))
            			 ->orderBy('appointments.appointment_at', 'asc')
            			 ->get();
       
	        return View::make('appointment.index_old')->with('appointments', $appointments);
	        
	    }catch (Exception $e) {
            Log::error('ApointmentController - getIndex : '.$e->getMessage());
         }
	}
	
	public function getIndexNew($hospital_id,$key)
	{
	   try
	   {
	       $hospital =  DB::table('hospitals')->where('hospital_id',$hospital_id)->where("key",$key)->first();
	       
	       if(isset($hospital))
          {
    	        // show the form
    	        $appointments =   DB::select("call get_duration_reports($hospital->hospital_id)");
           
    	        return View::make('appointment.index')->with('appointments', $appointments)->with('hospital',$hospital);
          }
          else
          {
              return "<center><h2>Invalid Key</h2></center>";
          }
	        
	    }catch (Exception $e) {
            Log::error('ApointmentController - getIndexNew : '.$e->getMessage());
         }
	}
}

