@extends('layout')

@section('content')
<div class="col-md-12">
    <div class="row form-group">
        <div class="col-md-6">
            <h2>{{ $hospital->hospital_name }}</h2>
        </div>
    </div>
    <hr>
    
<form id="frm_Delete" action="{{ url('index') }}"  method="post">
   <?php 
        $sno = 1; 
        $stream_url = 'https://stream.goforhealth.in/stream/';
   ?>
     @foreach($appointments as $a)
    <div class="row">
        <div class="col-md-4">
            <lable>Patient Name</lable>
            <h3 class="text-danger">{{ $a->patient_name }}</h3>
        </div>
        <div class="col-md-4">
            <lable>Appointment Date</lable>
            <h3>{{ date("d/m/y h:i:A", strtotime($a->appointment_at))}}</h3>
        </div>
        <div class="col-md-2">
            <lable>Doctor Duration</lable>
            @if(isset($a->dr_duration))
                <h3 class="text-info">{{ str_replace('-',' ',$a->dr_duration) }}</h3>
            @else
                <h3 class="text-info">-</h3>
            @endif
        </div>
        <div class="col-md-2">
            <lable>Patient Duration</lable>
            @if(isset($a->patient_duration))
                <h3 class="text-info">{{ str_replace('-',' ',$a->patient_duration) }}</h3>
            @else
                <h3 class="text-info">-</h3>
            @endif
        </div>
        <div class="col-md-3">
            <lable>Mobile</lable>
            <h5>{{ $a->mobile }}</h5>
        </div>
        <div class="col-md-9">
            <lable>Email</lable>
            <h5>{{ $a->email }}</h5>
        </div>
        <div class="col-md-6 text-wrap">
            <lable>Patient Link</lable>
            <h5><a href="{{ $stream_url . $a->room_key }}" target="_blank">{{ $stream_url . $a->room_key }}</a> </h5>
        </div>
        <div class="col-md-6 text-wrap">
            <lable>Doctor Link</lable>
            <h5><a href="{{ $stream_url .'dr/'. $a->room_key }}" target="_blank">{{ $stream_url .'dr/'. $a->room_key }}</a> </h5>
        </div>
        <!--<div class="col-md-4">-->
        <!--    <lable>Status</lable>-->
        <!--    <h3>{{ date("d/m/y h:i:A", strtotime($a->appointment_at))}}</h3>-->
        <!--</div>-->
    </div>  
  <hr>
  @endforeach 
</form>
</div>  
<script type="text/javascript">
 function fun_delete(url) {
   if(confirm(' you want to delete?'))
   {
    $("#frm_Delete").attr("action",url);
    $("#frm_Delete").submit();
   }
   else
   {
    return false;
   }
 }
 function mul_deletef(url) {
   if(confirm(' you want to delete?'))
   {
    $("#frm_Delete").attr("action",url);
    $("#frm_Delete").submit();
   }
   else
   {
    return false;
   }
 }

 </script>
 
@stop

