@extends('layout')

@section('content')

<style>
.mb-3 {
    text-align: center;
}
#ans
{
  color:red;
}
#index
{
  background-color:#0099cc;
  color:white;
}
.answer
{
  font-size: 2.80rem;
}
.discription
{
 text-align: justify; 
}

</style>

      <h1 class="mb-3" id="heading"><b>Cataract - Answers</b></h1>
   <form id="reg" name="register" action="{{ url('cataract_ses/')}}" method="post">
      <div class="form-group">
 <h1 class="d-inline"></h1>
          <h3>Q1. Type of cataract in Atopic dermatitis is </h3>
          <img src="{{asset('/quiz_images/session23/q1.PNG')}}" width="400" height="350"><br/><br/>
          <h4> A.Snowflake cataract </h4>
          <h4> B.Lamellar cataract </h4>
          <h4> C.Shields Cataract </h4>
          <h4> D.Rosette Cataract </h4><br/>
          <h3 id="ans" class="answer"><b>Ans : C.Shields Cataract </b></h3>
          <h3 class=discription id="ans" >Cataracts often occur at younger ages in diabetic patients due to osmotic stress from intracellular accumulation of sorbitol in the lens secondary to elevated intraocular glucose called as <b>Snowflake cataract</b>. <b>Lamellar cataract </b> are discrete, round (lenticular) in shape affecting one or more of the “rings” in the developing lens cortex & are potentially amblyogenic. Anterior supcapsular plaque like cataract seen in Atopic Dermatitis is called as <b>Shield’s cataract</b>.  <b>Rosette cataract</b> is a type of cataract seen post blunt trauma. 
          </h3>
          <br/>

          <h3>Q2.Sunflower cataract is seen in </h3>
          <img src="{{asset('/quiz_images/session23/q2.PNG')}}" width="400" height="350"><br/><br/>
          <h4> A. Myotonic dystrophy </h4>
          <h4> B. Diabetes mellitus </h4>
          <h4> C. Wilson’s disease </h4>
          <h4> D. Hemochromatosis </h4><br/>
           <h3 id="ans" class="answer"><b> Ans : C. Wilson’s disease </b></h3>
           <h3 class=discription id="ans" ><b>Christmas tree cataract</b> is seen in Myotonic dystrophy. <b>Snowflake cataract</b> & posterior subcapsular cataract is typical for Diabetes Mellitus. <b>Sunflower cataract</b> consists of a thin, centralized opacification  located under the anterior capsule surrounded by additional, secondary opacifications arranged in ray-like structures around it seen in Wilson’s disease.
          </h3>
           <br/>
          <h3>Q3. Second sight is seen in </h3>
          <img src="{{asset('/quiz_images/session23/q3.PNG')}}" width="400" height="350"><br/><br/>
          <h4> A. Nuclear cataract </h4>
          <h4> B. Total cataract </h4>
          <h4> C. Posterior sub capsular Cataract  </h4>
          <h4> D. All of the above </h4><br/>
          <h3 id="ans" class="answer"><b>Ans: A. Nuclear cataract  </b></h3>
         <h3 class=discription id="ans" >In the early stages of <b>Nuclear sclerosis</b>, the progressive hardening of the lens nucleus causes an increase in the refractive index of the lens and a myopic shift in refraction <b>(lenticular myopia)</b>. In hyperopic eyes, the myopic shift enables otherwise presbyopic individuals to read without spectacles, referred to as <b>second sight</b>.
          </h3>

          <br/>
          <h3>Q4. Black cataract is also called as </h3>
           <img src="{{asset('/quiz_images/session23/q4.PNG')}}" width="400" height="350"><br/><br/>
          <h4> A. Cataracta nigra </h4>
          <h4> B. Cataracta punctata caerulea </h4>
          <h4> C. Cataracta pulverulenta <h4>
          <h4> D. None of the above </h4><br/>
           <h3 id="ans" class="answer"><b>Ans: A. Cataracta nigra </b></h3>
          <h3 class=discription id="ans">Black cataract is called as <b>Cataracta nigra</b>.
          <b>Cataracta Pulverulenta</b> refers to small biconvex opacity in lens with usually a central clear area. Blue dot cataract is also known as <b>Cataracta punctata caerulea</b>.
          </h3>

          <br/>

          <h3>Q5. Non progressive small white condensation on the posterior pole of lens can be </h3>
           <img src="{{asset('/quiz_images/session23/q5.PNG')}}" width="400" height="350"><br/><br/>
          <h4> A. PSC </h4>
          <h4> B. ASC </h4>
          <h4> C. Mittendorf dot </h4>
          <h4> D. All of the above </h4><br/>
           <h3  id="ans" class="answer"><b>Ans :C. Mittendorf dot </b></h3>
           <h3 class=discription id="ans" ><b>Mittendorf dot</b> is a small, circular non preogressive opacity on the posterior lens capsule, classically nasal in location, which represents the anterior attachment of the hyaloid artery. The hyaloid artery is present during gestation and typically regresses completely. Failure of its regression can lead to Mittendorf dot. 
          </h3>
           <br/>

            


  </div>
<div class="row">
<div class="col-sm-12">

<button type="button" id="add" class="btn btn-primary float-right" onclick="location.href='{{URL('cataract_ses_users')}}'"> <i class="fa fa-plus"></i> Click here to view the list of participants who got all correct!</button>


</div></div><br/>
<div class="row">
<div class="col-sm-12">
<button type="button" id="index" class="btn btn-primary float-right" onclick="location.href='{{URL('/')}}'"> <i class="fa fa-plus"></i> Click here to participate in this week’s quiz</button>
</div></div>   
</form>




@stop 