<!doctype html>
<html>
<head>
    <!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-Y6H888QVV9"></script>
<script>
 window.dataLayer = window.dataLayer || [];
 function gtag(){dataLayer.push(arguments);}
 gtag('js', new Date());

 gtag('config', 'G-Y6H888QVV9');
</script>

<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Brain Teaser</title>
<link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet">
<script src="{{ asset('/js/jquery-3.3.1.slim.min.js') }}"></script>
<script src="{{ asset('/js/popper.min.js') }}"></script>
<script src="{{ asset('/js/bootstrap.min.js') }}"></script>
<script src="{{ asset('/js/jquery.validate.js') }}"></script>
<link href="{{ asset('css/style.css') }}" rel="stylesheet">

<script type="text/javascript">
  var baseUrl="{{ url('/') }}";
</script>
<noscript>
    <style type="text/css">
        .container {display:none;}
    </style>
    <div class="noscriptmsg">
      Quiz works best with JavaScript enabled    
    </div>
</noscript>
</head>



<body>
	 <header>
  <div class="container">
    <div class="row">
      <div class="col-lg-6 col-sm-12 brand"> <img src="{{asset('images/logo.png')}}" alt="Logo" height="100"> </div>
      <div class="col-lg-6 col-sm-12 caption">
        <h2 class="text-white text-right">The ophthaquiz for ophthawhiz Random</h2>
      <h5 class="text-white text-right">An Edutainment series by Sarakshi Netralaya!</h5>
      </div>
    </div>
  </div>
</header>
<div class="container content">
  <br/>
  <div class="row align-items-center">
    

      @if(Session::has('msgSuccess'))

                <div class="col-lg-12 col-md-12 col-sm-12">
                    <div class="alert alert-success" role="alert">
                     <a href="#" class="close" data-dismiss="alert">&times;</a>
                        <img src="{{asset('/images/success-icon.png')}}" > {{Session::get('msgSuccess') }}
                    </div>
                </div>

        @endif
        @if(Session::has('msgError'))
            <div class="col-lg-12 col-md-12 col-sm-12">
                <div class="alert alert-danger" role="alert">
                 <a href="#" class="close" data-dismiss="alert">&times;</a>
                    {{Session::get('msgError') }}
                </div>
            </div>

    @endif

      @yield('content')
    
  </div>
</div>

</div>
</body>
</html>