@extends('layout')

@section('content')

<style>
.mb-3 {
    text-align: center;
}
#ans
{
  color:red;
}
#index
{
  background-color:#0099cc;
  color:white;
}
.answer
{
  font-size: 2.80rem;
}
.discription
{
 text-align: justify; 
}

</style>

      <h1 class="mb-3" id="heading"><b>Named Signs - Answers</b></h1>
   <form id="reg" name="register" action="{{ url('named_signs/')}}" method="post">
      <div class="form-group">
 <h1 class="d-inline"></h1>
          <h3>Q1. All signs are characteristically associated with keratoconus except</h3>
          <img src="{{asset('/quiz_images/session13/q1.PNG')}}" width="400" height="350"><br/><br/>
          <h4> A.Munson’s sign</h4>
          <h4> B.Vogt’s striae </h4>
          <h4> C.Rizzuti’s sign </h4>
          <h4> D.Horner Tranta’s spots</h4><br/>
          <h3 id="ans" class="answer"><b>Ans : D. Horner Tranta’s spots </b></h3>
<h3 class=discription id="ans" ><b>Munson's sign</b> is a V-shaped indentation observed in the lower eyelid when the patient's gaze is directed downwards.<b> Vogt's striae</b> are vertical (rarely horizontal) fine, whitish lines in the Descemet's membrane commonly found in patients with keratoconus. The striae can temporarily disappear with external pressure to the globe. <b>Rizzuti's sign</b>, a bright reflection of the nasal area of the limbus when light is directed to the temporal limbal area.<b> Horner-Trantas dots </b>are white dots of eosinophils and epithelial debris found at the limbus in allergic conjunctivitis.
</h3>
          <br/>

          <h3>Q2.Grave’s thyrotoxicosis is associated with all except</h3>
          <img src="{{asset('/quiz_images/session13/q2.PNG')}}" width="400" height="350"><br/><br/>
          <h4> A. Kocher’s sign</h4>
          <h4> B. Moebius’s sign</h4>
          <h4> C. Von Graefe’s sign</h4>
          <h4> D.  Cogan’s eyelid twitch sign</h4><br/>
           <h3 id="ans" class="answer"><b> Ans: D.  Cogan’s eyelid twitch sign </b></h3>
         <h3  class=discription id="ans" ><b>Kocher’s sign</b> is the staring and frightened appearance of the eyes particularly marked on attentive fixation. <b>Moebius’ sign</b> is inability to converge the eyes. <b>Von Graefe’s sign</b> is lid lag on downgaze. <b>Cogan's lid twitch sign</b>, characteristic of myasthenia gravis, consists of a brief overshoot twitch of lid retraction following sudden return of the eyes to primary position after a period of downgaze. The lid will briefly twitch upwards then settle back to its previous position.</h3>
           <br/>
          <h3>Q3. All signs are seen in vitreo-retinal diseases except</h3>
          <img src="{{asset('/quiz_images/session13/q3.PNG')}}" width="400" height="350"><br/><br/>
           <h4> A. Dalen Fuchs nodules </h4>
          <h4> B. Roth's spots</h4>
          <h4> C. Mittendorf dot</h4>
          <h4> D. Schaeffer’s sign</h4><br/>
          <h3 id="ans" class="answer"><b>Ans: C. Mittendorf dot </b></h3>
          <h3 class=discription id="ans" ><b>Dalen–Fuch’s nodules</b> are clusters of epithelioid cells containing pigment lying between the RPE and Bruchs membrane, seen in sympatheic ophthalmia. <b>Roth's spot</b> is a hemorrhage in the retina with a white center. Originally associated with bacterial endocarditis, Roth's spots may be seen in leukemia, diabetes, collagen-vascular diseases, and other conditions that predispose to hemorrhage in the retina. A <b>Mittendorf dot</b> is a small, circular opacity on the posterior lens capsule, classically nasal in location, which represents the anterior attachment of the hyaloid artery. Also called “tobacco dust,” <b>Shafer's sign</b> refers to the presence of a collection of brown pigmented cells in the anterior vitreous following a PVD.</h3>

          <br/>
          <h3>Q4. Sign associated with glaucomatous optic nerve head is </h3>
           <img src="{{asset('/quiz_images/session13/q4.PNG')}}" width="400" height="350"><br/><br/>
           <h4> A.  Morning glory disc </h4>
          <h4> B. Becker’s sign</h4>
          <h4> C. Bayonetting sign</h4>
          <h4> D. Bergmeister’s papilla</h4><br/>
           <h3 id="ans" class="answer"><b>Ans: C. Bayonetting sign </b></h3>
          <h3 class=discription id="ans" ><b>Morning glory disc</b> is characterized by an enlarged, funnel-shaped excavation that incorporates the optic disc. The disc itself is enlarged, and orange or pink in color within a surrounding area of peripapillary chorioretinal pigmentary changes with a white glial tuft in the centre. Similar to petals on a flower, the blood vessels are increased in number and curve as they emanate radially from the disc, rather than in the usual central branching pattern. Depending on the size of papillary chorioretinal involvement, the macula may be incorporated into the excavation, which is termed “macular capture. <b>Becker's sign</b>, or <b>Becker's</b> phenomenon, is the presence of visible pulsation of retinal arteries. <b>Bayoneting</b> of blood vessels is the bend or sharp kink of blood vessels when they pass over the edge of the cup in advanced glaucoma. <b>Bergmeister's papilla</b> arises from the centre of the optic disc, consists of a small tuft of fibrous tissue and represents a remnant of the fetal hyaloid artery.</h3>

          <br/>

          <h3>Q5. Signs associated with iris are all except</h3>
           <img src="{{asset('/quiz_images/session13/q5.PNG')}}" width="400" height="350"><br/><br/>
          <h4> A. Bitot’s spots</h4>
          <h4> B. Brushfield spots</h4>
          <h4> C.  Koeppe’s nodules</h4>
          <h4> D. Lisch nodules</h4><br/>
           <h3  id="ans" class="answer"><b>Ans: A. Bitot’s spots </b></h3>
          <h3 class=discription id="ans" ><b>Bitot's spots</b> are the buildup of keratin located superficially in the conjunctiva of human´s eyes. <b>Brushfield spots</b> are small, white or grayish/brown spots on the periphery of the iris due to aggregation of connective tissue. <b>Koeppe's nodules</b> are small nodules seen at the inner margin of the iris in patients with granulomatous anterior uveitis, and are composed of epithelioid cells and giant cells surrounded by lymphocytes. <b>Lisch nodules</b> are dome-shaped gelatinous masses developing on the surface of the iris. Gold-tan to brown in color, they may grow up to 2 mm in diameter. The presence of Lisch nodules is the most common clinical sign of NF1.</h3>
          
           <br/>

            


  </div>
 <div class="row">
<div class="col-sm-12">
<button type="button" id="add" class="btn btn-primary float-right" onclick="location.href='{{URL('named_signs_users')}}'"> <i class="fa fa-plus"></i> Click here to view the list of participants who got all correct!</button>
</div></div><br/>
<div class="row">
<div class="col-sm-12">
<button type="button" id="index" class="btn btn-primary float-right" onclick="location.href='{{URL('/')}}'"> <i class="fa fa-plus"></i> Click here to participate in this week’s quiz</button> </div></div>
</form>




@stop 